Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class TreeTarget

    java.lang.Object
      edu.stanford.smi.protege.util.TreeTarget

All Implemented Interfaces:
  DropTargetListener, EventListener

Direct Known Subclasses:
  ClsesTreeTarget, SlotsTreeTarget

    public abstract class TreeTarget

extends Object
implements DropTargetListener

Standard drop target side drag and drop support for a tree control. The actual processing associated with the drop is handled by a template method.

Author:
  Ray Fergerson

Constructor Summary
`protected` | `TreeTarget(boolean allowsBetweenDrops)`

Method Summary
`protected boolean` | `doDrop(JTree tree, Collection sources, int row, Object area)`
`abstract boolean` | `doDrop(JTree tree, Object source, int row, Object area)`
`void` | `dragEnter(DropTargetDragEvent e)`
`void` | `dragExit(DropTargetEvent e)`
`void` | `dragOver(DropTargetDragEvent e)`
`void` | `drop(DropTargetDropEvent e)`
`void` | `dropActionChanged(DropTargetDragEvent e)`
`static boolean` | `getLastDropSucceeded()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeTarget

    protected TreeTarget(boolean allowsBetweenDrops)

Method Detail

### doDrop

    public abstract boolean doDrop(JTree tree,
                                   Object source,
                                   int row,
                                   Object area)

### doDrop

    protected boolean doDrop(JTree tree,
                             Collection sources,
                             int row,
                             Object area)

### dragEnter

    public void dragEnter(DropTargetDragEvent e)

  Specified by:
    `dragEnter` in interface `DropTargetListener`

### dragExit

    public void dragExit(DropTargetEvent e)

  Specified by:
    `dragExit` in interface `DropTargetListener`

### dragOver

    public void dragOver(DropTargetDragEvent e)

  Specified by:
    `dragOver` in interface `DropTargetListener`

### drop

    public void drop(DropTargetDropEvent e)

  Specified by:
    `drop` in interface `DropTargetListener`

### getLastDropSucceeded

    public static boolean getLastDropSucceeded()

### dropActionChanged

    public void dropActionChanged(DropTargetDragEvent e)

  Specified by:
    `dropActionChanged` in interface `DropTargetListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.